Page MenuHomePhabricator

Pageview definition bug for apps pageviews on rest endpoint
Closed, ResolvedPublic5 Story Points

Description

Pageview definition bug for apps pageviews on rest endpoint .

Request like this one should be a pageview and they are not:

200 application/json; charset=utf-8 en.wikipedia.org /api/rest_v1/page/mobile-sections-lead/Payoneer WikipediaApp/2.1.143-r-2016-03-16 (Android 4.2.2; Phone) Google Play

Event Timeline

Nuria created this task.May 12 2016, 7:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 12 2016, 7:41 PM

Change 288458 had a related patch set uploaded (by Nuria):
Match paths on request only if it is a web pageview

https://gerrit.wikimedia.org/r/288458

JAllemandou set the point value for this task to 5.May 14 2016, 3:15 AM

Change 288458 merged by Joal:
Refactor pageview definition for mobile apps

https://gerrit.wikimedia.org/r/288458

JAllemandou assigned this task to Nuria.May 16 2016, 7:12 PM
JAllemandou moved this task from Ready to Deploy to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.May 19 2016, 3:59 PM